Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 76762 - Initializing USB HID interface: when no HID interface
Summary: Initializing USB HID interface: when no HID interface
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-10-25 23:32 UTC by Greg Shaw
Modified: 2014-03-19 11:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-10-25 23:32:10 UTC


Attachments (Terms of Use)

Description Greg Shaw 2002-10-25 23:32:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
System has usb but no HID devices (keyboard/mouse).
/etc/rc.d/rc.sysinit _always_ runs the lines noted below to install
HID devices. These should be conditional on Cls=03 from
/proc/bus/usb/devices. This will detect if there are any HID devices attached.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.No usb keyboard or mouse
2.reboot
3.system displays that initialisation of usb keyboard/mouse FAILED
	

Expected Results:  Should not attempt to initialise devices that are not present and
therefore shoul ddisplay FAILED for devices.

Additional info:

replace /etc/rc.d/rc.sysint lines:
    action $"Initializing USB HID interface: " modprobe hid 2> /dev/null
    action $"Initializing USB keyboard: " modprobe keybdev
    action $"Initializing USB mouse: " modprobe mousedev
with the following:
    if grep -e "^I.*Cls=03" /proc/bus/usb/devices 2>/dev/null ; then
        action $"Initializing USB HID interface: " modprobe hid 2> /dev/null
        action $"Initializing USB keyboard: " modprobe keybdev
        action $"Initializing USB mouse: " modprobe mousedev
    fi

Comment 1 Bill Nottingham 2002-10-26 05:21:38 UTC
This is intentional, to have the device always present even between plug/unplug
events. (needed for X, among other things)


Note You need to log in before you can comment on or make changes to this bug.